libgdamm Reference Documentation

Main Page Namespaces Book

# config.h File Reference

## Namespaces

namespace | Gnome
namespace | Gnome::Gda
namespace | Gnome::Gda::Config

## Classes

struct | Gnome::Gda::Config::DataSourceInfoTraits
struct | Gnome::Gda::Config::ProviderInfoTraits

## Typedefs

typedef Glib::ListHandle< DataSourceInfo, DataSourceInfoTraits > | Gnome::Gda::Config::ListHandle_DataSourceInfo
typedef Glib::ListHandle< ProviderInfo, ProviderInfoTraits > | Gnome::Gda::Config::ListHandle_ProviderInfo
typedef sigc::slot< void, const Glib::ustring& > | Gnome::Gda::Config::SlotListener
| For instance, void on_listen(const Glib::ustring& path);.

## Functions

guint | Gnome::Gda::Config::add_listener (const Glib::ustring& path, const SlotListener& slot)
DataSourceInfo | Gnome::Gda::Config::find_data_source (const Glib::ustring& name)
Glib::RefPtr<DataModel> | Gnome::Gda::Config::get_data_source_model ()
ListHandle_DataSourceInfo | Gnome::Gda::Config::get_data_sources ()
ProviderInfo | Gnome::Gda::Config::get_provider_by_name (const Glib::ustring& name)
ListHandle_ProviderInfo | Gnome::Gda::Config::get_providers ()
Glib::ustring | Gnome::Gda::Config::get_type (const Glib::ustring& path)
bool | Gnome::Gda::Config::get_value_boolean (const Glib::ustring& path)
double | Gnome::Gda::Config::get_value_float (const Glib::ustring& path)
int | Gnome::Gda::Config::get_value_int (const Glib::ustring& path)
Glib::ustring | Gnome::Gda::Config::get_value_string (const Glib::ustring& path)
bool | Gnome::Gda::Config::has_key (const Glib::ustring& path)
bool | Gnome::Gda::Config::has_section (const Glib::ustring& path)
Glib::ListHandle<Glib::ustring> | Gnome::Gda::Config::list_keys (const Glib::ustring& path)
Glib::ListHandle<Glib::ustring> | Gnome::Gda::Config::list_sections (const Glib::ustring& path)
void | Gnome::Gda::Config::remove_data_source (const Glib::ustring& name)
void | Gnome::Gda::Config::remove_key (const Glib::ustring& path)
void | Gnome::Gda::Config::remove_listener (guint id)
void | Gnome::Gda::Config::remove_section (const Glib::ustring& path)
void | Gnome::Gda::Config::save_data_source (const DataSourceInfo& dsn_info)
void | Gnome::Gda::Config::save_data_source (const Glib::ustring& name, const Glib::ustring& provider, const Glib::ustring& cnc_string, const Glib::ustring& description, const Glib::ustring& username, const Glib::ustring& password, bool is_global=false)
void | Gnome::Gda::Config::set_value (const Glib::ustring& path, bool new_value)
void | Gnome::Gda::Config::set_value (const Glib::ustring& path, double new_value)
void | Gnome::Gda::Config::set_value (const Glib::ustring& path, int new_value)
void | Gnome::Gda::Config::set_value (const Glib::ustring& path, const Glib::ustring& new_value)